#
# spec file for package python-roman
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define modname roman
Name:           python-%{modname}
Version:        2.0.0
Release:        8.1
Summary:        Integer to Roman numerals converter
License:        Python-2.0
Group:          Development/Libraries/Python
Url:            http://pypi.python.org/pypi/roman
Source0:        http://pypi.python.org/packages/source/r/%{modname}/%{modname}-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip
%if 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%else
BuildArch:      noarch
%endif

%description
This module converts from and to Roman numerals. It can convert numbers from
1 to 4999 and understands the common shortcuts (IX == 9), but not illegal ones (MIM == 1999).

%prep
%setup -n %{modname}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES.txt
%{python_sitelib}/%{modname}.py*
%{python_sitelib}/%{modname}-%{version}-py%{py_ver}.egg-info

%changelog
* Sun Nov 24 2013 p.drouand@gmail.com
- Update to version 2.0
  + Added Python 3.3 and PyPy support.
  + Added tests.
- Add CHANGES.txt to package documentation
- Remove redundant %%clean section
* Wed Jan  2 2013 toddrme2178@gmail.com
- Fix building on SLES
* Tue Jun 26 2012 toddrme2178@gmail.com
- Fix building on SLE 11
- Spec file cleanup
* Wed Jun  6 2012 idonmez@suse.com
- Initial release
